<?php


//-----------------------------------------------   PORTFOLIO	--------------------------------------------------------

if(function_exists('portfolio_post_type_init') || ( class_exists( 'Jetpack' ) && Jetpack::is_module_active( 'custom-content-types' ) ) ){

	//ADD PORTFOLIO SECTION
	$wp_customize->add_section( 'portfolio_section', array(
		'title'       => __( 'Portfolio Settings', 'optimizer' ),
		'priority'    => 10,
		'panel'       => 'misc_panel',
	) );	

//Portfolio Archive layout setting.
$wp_customize->add_setting('optimizer[portfolio_layout]', array(
		'type' => 'option',
		'default'           => '1',
		'sanitize_callback' => 'sanitize_key',
	)
);

		  // Add the layout control.
		  $wp_customize->add_control('portfolio_layout',array(
						'type' => 'select',
						'label'    => esc_html__( 'Portfolio Archive Layout*', 'optimizer' ),
						'section'  => 'portfolio_section',
						'settings' => 'optimizer[portfolio_layout]',
						'choices'  => array(
							'1' => __('Square', 'optimizer'), 
							'2' => __('Square (Spaced)', 'optimizer'),
							'3' => __('Masonry', 'optimizer'), 
							'4' => __('Masonry (Spaced)', 'optimizer'), 
							//'5' => __('Slider', 'optimizer'), 
					  )
			  ) );
			  


//Hover layout setting.
$wp_customize->add_setting('optimizer[portfolio_hover_layout]', array(
		'type' => 'option',
		'default'           => '1',
		'sanitize_callback' => 'sanitize_key',
	)
);

		  // Add the layout control.
		  $wp_customize->add_control('portfolio_hover_layout',array(
						'type' => 'select',
						'label'    => esc_html__( 'Portfolio Archive Hover Style*', 'optimizer' ),
						'section'  => 'portfolio_section',
						'settings' => 'optimizer[portfolio_hover_layout]',
						'choices'  => array(
							'1' => __('Style 1', 'optimizer'), 
							'2' => __('Style 2', 'optimizer'),
							'3' => __('Style 3', 'optimizer'), 
							'4' => __('Style 4', 'optimizer'), 
							'5' => __('Disable Hover: Always Show Title', 'optimizer'), 
					  )
			  ) );
			  
			  

//Portfolio Single layout setting.
$wp_customize->add_setting('optimizer[portfolio_single_layout]', array(
		'type' => 'option',
		'default'           => '1',
		'sanitize_callback' => 'sanitize_key',
	)
);

		  // Add the layout control.
		  $wp_customize->add_control('portfolio_single_layout',array(
						'type' => 'select',
						'label'    => esc_html__( 'Portfolio Single Layout*', 'optimizer' ),
						'section'  => 'portfolio_section',
						'settings' => 'optimizer[portfolio_single_layout]',
						'choices'  => array(
							'1' => __('Content on Right', 'optimizer'), 
							'2' => __('Content on Left', 'optimizer'),
							'3' => __('Content on Top', 'optimizer'), 
							'4' => __('Content on Bottom', 'optimizer'), 
					  )
			  ) );
	


//Share Buttons
$wp_customize->add_setting('optimizer[portfolio_share]', array(
	'type' => 'option',
	'default' => '1',
	'sanitize_callback' => 'optimizer_sanitize_checkbox',
) );
			$wp_customize->add_control( new Optimizer_Controls_Toggle_Control( $wp_customize, 'portfolio_share', array(
				'label' => __('Display Share Buttons','optimizer'),
				'section' => 'portfolio_section',
				'settings' => 'optimizer[portfolio_share]',
			)) );
			

	
}//Portfolio Plugin Check ENDS





//----------------------WOOCOMMERCE--------------------------------------

//Woocommerce Shop Page Sidebar
if ( class_exists( 'WooCommerce' ) ) {
	
	//ADD PORTFOLIO SECTION
	$wp_customize->add_section( 'woo_section', array(
		'title'       => __( 'Woocommerce Settings', 'optimizer' ),
		'priority'    => 10,
		'panel'       => 'misc_panel',
	) );	


/*GET LIST OF SIDEBARS*/
$listSidebars = array();
foreach($GLOBALS['wp_registered_sidebars'] as $sidebar ) {
	$listSidebars[$sidebar['id']] = $sidebar['name'];
}

	
	$wp_customize->add_setting( 'optimizer[shop_sidebar_id]', array(
			'type' => 'option',
			'default' => 'sidebar',
			'sanitize_callback' => 'optimizer_sanitize_choices',
	) );
				$wp_customize->add_control('shop_sidebar_id', array(
						'type' => 'select',
						'label' => __('Sidebar for Shop Page (Woocommerce) *','optimizer'),
						'section' => 'woo_section',
						'choices' => $listSidebars,
						'settings'    => 'optimizer[shop_sidebar_id]'
				) );

}