<?php
function optimizer_option_defaults() {
	$defaults = array(
		'converted' => '',
		'site_layout_id' => 'site_full',
		'center_width' => 85,
		'content_bg_color' => '#ffffff',
		'divider_icon' => 'fa-stop',
		'logo_position' => 'logo_left',
		'head_menu_type' => '1',
		'head_transparent' => '1',
		'trans_header_color' => '#fff',
		'head_sticky' => '',
		'tophead_id' => '',
		'topmenu_id' => '1',
		'topmenu_switch' => '',
		'topsearch_id' => '1',
		'tophone_id' => '',
		'totop_id' => '1',
		'footer_text_id' => '',
		'footmenu_id' => '1',
		'copyright_center' => '',
		
		'slider_type_id' => 'static',
		'n_slide_time_id' => '6000',
		'slide_height' => '500px',
		'slidefont_size_id' => '36px',
		'slider_txt_hide' => '',
		'static_img_text_id' => '<p><img class="size-full wp-image-10751" src="'. get_template_directory_uri().'/assets/images/slide_icon.png" alt="slide_icon" width="100" height="100" /></p><p><span style="font-size: 36pt;">ADVANCED . <strong>STRONG</strong> . RELIABLE</span></p><p>The Optimizer, an easy to customizable multi-purpose theme with lots of powerful features.</p>',
		'static_cta1_text' => 'DEMO',
		'static_cta1_link' => '#',
		'static_cta1_bg_color' => '#36abfc',
		'static_cta1_txt_color' => '#ffffff',
		'static_cta1_txt_style' => 'hollow',
		'static_cta2_text' => 'DOWNLOAD',
		'static_cta2_link' => '#',
		'static_cta2_bg_color' => '#36abfc',
		'static_cta2_txt_color' => '#ffffff',
		'static_cta2_txt_style' => 'flat',
		'static_textbox_width' => '85',
		'static_textbox_bottom' => '15',
		'static_image_id' => array(  'url'=>''.get_template_directory_uri().'/assets/images/slide.jpg'),
		'slider_txt_color' => '#ffffff',
		'static_video_id' => '',
		'slide_ytbid' => '',
		'static_vid_loop' => '1',
		'static_vid_mute' => '1',
		'static_textbox_width' => '85',
		'static_textbox_bottom' => '15',
		'slider_content_align' =>'center',
		
		'single_featured' => '1',
		'post_info_id' => '1',
		'post_related_id' => '1',
		'post_nextprev_id' => '1',
		'author_about_id' => '1',
		'post_comments_id' => '1',
		'leave_reply_title' => __('Leave a Reply Text', 'optimizer'),
		
		'pageheader_switch' => '1',
		'pgtitle_size_id' => '32px',
		'page_header_image' => '',
		'page_header_color' => '#EEEFF5',
		'page_header_txtcolor' => '#555555',
		'page_header_align' => 'center',
		'blog_cat_id' => '',
		'blog_num_id' => '9',
		'blog_layout_id' => '1',
		'show_blog_thumb' => '1',
		
		'contact_email_id' => get_option( 'admin_email' ),
		'contact_latlong_id' => '#555555',
		'contact_latlong_id' => '53.359286, -2.040904',
		'contact_location_id' => 'Automattic, Inc. 60 29th Street #343 San Francisco, California 94110-4929 USA',
		'contact_sidebar' => '',
		
		'custom_sidebar' => '',
		'shop_sidebar_id' => 'sidebar',
		
		'sec_color_id' => '#36abfc',
		'sectxt_color_id' => '#FFFFFF',
		'content_font_id' =>  array('font-family' => 'Open Sans', 'font-size' => '16px'),
		'primtxt_color_id' => '#999999',
		'logo_font_id' => array('font-family' => 'Open Sans', 'font-size' => '36px'),
		'logo_color_id' => '#555555',
		'sec_color_id' => '#36abfc',
		'head_color_id' => '#f5f5f5',
		'header_bgimage' => '',
		'header_border' => '',
		'header_border_color' => '#dddddd',
		'topbar_bg_color' => '#333333',
		'topbar_color_id' => '#ffffff',
		'menutxt_color_id' => '#FFFFFF',
		'menutxt_color_hover' => '#ffffff',
		'menutxt_color_active' => '#3590ea',
		'menu_size_id' => '14px',
		'sidebar_color_id' => '#FFFFFF',
		'sidebar_tt_color_id' => '#666666',
		'sidebartxt_color_id' => '#999999',
		'wgttitle_size_id' => '16px',
		'footer_color_id' => '#222222',
		'footer_bg_img'=>'',
		'footwdgtxt_color_id' => '#666666',
		'footer_title_color' => '#ffffff',
		'ptitle_font_id' =>  array('font-family' => 'Open Sans', 'subsets'=>'latin'),
		'ptitle_size_id' => '32px',
		'title_txt_color_id' => '#666666',
		'link_color_id' => '#3590ea',
		'link_color_hover' => '#1e73be',
		'txt_upcase_id' => '1',
		'copyright_bg_color' => '#333333',
		'copyright_txt_color' => '#999999',
		
		'social_button_style' => 'simple',
		'social_show_color' => '',
		'social_bookmark_pos' => 'footer',
		'social_bookmark_size' => 'normal',
		'social_single_id' => '1',
		'social_page_id' => '',
		'share_button_style' => 'square',
		'share_position' => 'after',
		'share_label' => 'Share This',
		'enable_seo' => '1',
		'meta_title_id' => '',
		'meta_desc_id' => '',
		'breadcrumbs_id' => '1',
		'social_thumb_id' => '',
		'google_analytics_id' => '',
		
		'post_lightbox_id' => '1',
		'post_gallery_id' => '1',
		'cat_layout_id' => '1',
		'mobile_menu_type' => 'hamburger',
		'hide_mob_slide' => '',
		'hide_mob_rightsdbr' => '',
		'hide_mob_page_header' => '1',
		'custom-css' => '',
		'custom-js' => '',
		
		//Portfolio Options
		'portfolio_layout' => '1',
		'portfolio_hover_layout' => '1',
		'portfolio_single_layout' => '1',
		'portfolio_share' => '1',
		
		//Custom Font
		'custom_font_ttf' => '',
		'custom_font_eot' => '',
		'custom_font_woff' => '',
		
	);
	
	
      $options = get_option('optimizer',$defaults);

      //Parse defaults again - see comments
      $options = wp_parse_args( $options, $defaults );

		return $options;
/*      if( !isset($options[$option_name]) )
           return false;

      return $options[$option_name];*/
}

?>